import { jsx } from "react/jsx-runtime";
import { LiveMessage as AriaLiveMessage } from "react-aria-live";
import { useAppSelector } from "../../data/react.js";
const LiveMessage = () => {
  const message = useAppSelector((state) => state.liveMessage?.message);
  const ariaLive = useAppSelector((state) => state.liveMessage?.ariaLive);
  return /* @__PURE__ */ jsx(AriaLiveMessage, { message, "aria-live": ariaLive });
};
export {
  LiveMessage
};
